Eclipse GEF 3.2

## org.eclipse.gef.requests
Interface CreationFactory

All Known Implementing Classes:
  SimpleFactory

public interface CreationFactory

A factory used to create new objects.

Since:
  2.1

Method Summary
`Object` `getNewObject()` Returns the new object.
`Object` `getObjectType()` Returns the new object's type.

Method Detail

### getNewObject

    public Object getNewObject()

  Returns the new object.

  Returns:
    the new object

### getObjectType

    public Object getObjectType()

  Returns the new object's type.

  Returns:
    the type

Eclipse GEF 3.2

Copyright (c) IBM Corp. and others 2000, 2006. All Rights Reserved.